/*
 * @Author: XianKaiQun
 * @Date: 2020-07-31 14:47:20
 * @LastEditors: XianKaiQun
 * @LastEditTime: 2020-08-10 15:36:46
 * @Description: 
 */
part of '../index.dart';

class _FormComponent extends StatelessWidget {
  const _FormComponent({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    final store = Provider.of<PrivateSecurityDetailStore>(context);
    final style = WTheme.of(context);
    final colorScheme = style.colorScheme;
    final theme = Theme.of(context);
    final textTheme = theme.textTheme;
    final data = store.data;
    if (data == null) {
      return SliverToBoxAdapter();
    }
    return WisCard(
      isSliver: true,
      margin: EdgeInsets.all(15.pt),
      padding: EdgeInsets.all(15.pt),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.stretch,
        children: <Widget>[
          Text(
            '工作内容',
            style: textTheme.titleMedium!.copyWith(
              fontWeight: FontWeight.bold,
            ),
          ),
          Wisdom(
            minHeight: 80.pt,
            margin: EdgeInsets.symmetric(vertical: 15.pt),
            padding: EdgeInsets.all(10.pt),
            color: colorScheme.background,
            child: Text('${data.remark ?? ''}'),
          ),
          Text(
            '异常情况',
            style: textTheme.titleMedium!.copyWith(
              fontWeight: FontWeight.bold,
            ),
          ),
          Wisdom(
            minHeight: 80.pt,
            margin: EdgeInsets.symmetric(vertical: 15.pt),
            padding: EdgeInsets.all(10.pt),
            color: colorScheme.background,
            child: Text('${data.exRemark ?? ''}'),
          ),
        ],
      ),
    );
  }
}
